無法與.NET Framework 4.6 或安裝的更新版本的伺服器上安裝 WSUS 3.2

狀況

當您嘗試安裝 Windows 伺服器更新服務 (WSUS) 3.2 在伺服器上使用 Microsoft.Net Framework 4.6 或更新的版本已經安裝,然後您可能會收到下列錯誤訊息:

沒有這個 Windows 安裝程式套件有問題。安裝程式的一部分執行的程式並未如預期般完成。請連絡您的支援人員或套件廠商。

此外,下列的訊息會記錄在WSUSSetup.log檔案:

安裝 WSUS: WSUS 安裝失敗 (錯誤 0x80070643: 安裝時發生嚴重錯誤。)

附註:

  • 這個問題也會發生在系統中心組態管理員 (SCCM),因為軟體更新點站台角色相依於 WSUS。WSUS 是所需的軟體更新同步處理和相容性評估掃描 SCCM 用戶端上。

  • 如果您安裝 WSUS 3.2 之前,先安裝蒐羅網路架構 4.6,才會發生這個問題。

原因

WSUS 3.2 無法正確地偵測新安裝的.NET Framework 版本,就會發生這個問題。

解決方案

若要解決這個問題,請依照下列步驟執行:

  1. 解除安裝 Microsoft .NET Framework 4.6

  2. 安裝 WSUS 3.2

  3. 重新安裝 Microsoft .NET Framework 4.6

如需有關在.NET Framework 4.6 RC 的已知問題的詳細資訊,請參閱已知.NET Framework 4.6 RC 的問題

如需有關已知問題,在.NET Framework 表 4.6] 的詳細資訊,請參閱已知.NET Framework 表 4.6] 的問題
 

更多的資訊

如需有關產品的版本控制變更,其效果,在.NET Framework 表 4.6] 的詳細資訊,請參閱在.NET Framework 表 4.6] 的應用程式相容性

需要更多協助?

擴展您的技能
探索訓練
優先取得新功能
加入 Microsoft 測試人員

這項資訊有幫助嗎?

感謝您的意見反應!

感謝您的意見反應! 我們將協助您與我們的其中一個 Office 支援專員連絡以深入了解您的意見。

×